%define major           1
%define libname         %mklibname uv %{major}
%define develname       %mklibname uv -d
%define staticdevelname %mklibname uv -d -s

Name:           libuv
Version:        1.34.2
%define subrel 1
Release:        %mkrel 1
Summary:        Platform layer for node.js
# the licensing breakdown is described in detail in the LICENSE file
License:        MIT and BSD and ISC
Group:          Development/C
URL:            https://libuv.org/
Source0:        https://dist.libuv.org/dist/v%{version}/%{name}-v%{version}.tar.gz
Source2:        libuv.pc.in
# MGA#27403
# https://ubuntu.com/security/notices/USN-4548-1
# incorrect path handling
Patch1:         CVE-2020-8252.patch
# Upstream patches
BuildRequires:  autoconf
BuildRequires:  automake
BuildRequires:  libtool

%description
libuv is a new platform layer for Node. Its purpose is to abstract IOCP on
Windows and libev on Unix systems. We intend to eventually contain all
platform differences in this library.

%package -n     %{libname}
Summary:        Platform layer for node.js
Group:          Development/C
Provides:       %{name} = %{version}-%{release}
# Previous package used wrong major in libname
Conflicts:      %{_lib}uv0 < 1.9.0

%description -n %{libname}
libuv is a new platform layer for Node. Its purpose is to abstract IOCP on
Windows and libev on Unix systems. We intend to eventually contain all
platform differences in this library.

%package -n     %{develname}
Summary:        Development libraries for %{name}
Group:          Development/C
Requires:       %{libname} = %{version}-%{release}
Requires:       pkgconfig
Provides:       %{name}-devel = %{version}-%{release}

%description -n %{develname}
Development libraries for %{name}.

%package -n     %{staticdevelname}
Summary:        Platform layer for node.js - static library
Group:          Development/C
Requires:       %{libname} = %{version}-%{release}

%description -n %{staticdevelname}
Static library (.a) version of %{name}.

%prep
%setup -q -n %{name}-v%{version}
%autopatch -p1

%build
NOCONFIGURE=1 ./autogen.sh
%configure2_5x
%make_build

%install
%make_install

# we don't want these
find %{buildroot} -name '*.la' -delete

%check
# Tests are currently disabled because some require network access
# Working with upstream to split these out
#./run-tests
#./run-benchmarks

%files -n %{libname}
%doc README.md AUTHORS LICENSE
%{_libdir}/libuv.so.%{major}{,.*}

%files -n %{develname}
%doc README.md AUTHORS LICENSE
%{_libdir}/libuv.so
%{_libdir}/pkgconfig/libuv.pc
%{_includedir}/uv*.h
%{_includedir}/uv/*.h

%files -n %{staticdevelname}
%{_libdir}/libuv.a


%changelog
* Wed Oct 14 2020 shlomif <shlomif> 1.34.2-1.1.mga7
+ Revision: 1636060
- MGA#27403 (CVE-2020-8252) - from Ubuntu
+ neoclust <neoclust>
- New version 1.34.2

* Fri May 03 2019 daviddavid <daviddavid> 1.28.0-2.mga7
+ Revision: 1396303
- add upstream patch to fix `uv_fs_poll_stop()` when active

* Sun Apr 21 2019 shlomif <shlomif> 1.28.0-1.mga7
+ Revision: 1394260
- New version 1.28.0

* Fri Apr 05 2019 shlomif <shlomif> 1.27.0-1.mga7
+ Revision: 1386122
- New version 1.27.0

* Tue Feb 12 2019 shlomif <shlomif> 1.26.0-1.mga7
+ Revision: 1365916
- New version 1.26.0

* Mon Jan 28 2019 shlomif <shlomif> 1.25.0-1.mga7
+ Revision: 1361629
- New version 1.25.0

* Sat Dec 22 2018 shlomif <shlomif> 1.24.1-1.mga7
+ Revision: 1344505
- New version 1.24.1

* Thu Nov 22 2018 shlomif <shlomif> 1.24.0-1.mga7
+ Revision: 1333276
- New version 1.24.0

* Sun Oct 14 2018 shlomif <shlomif> 1.23.2-1.mga7
+ Revision: 1320324
- New version 1.23.2

* Sun Sep 23 2018 umeabot <umeabot> 1.23.0-2.mga7
+ Revision: 1299205
- Mageia 7 Mass Rebuild

* Mon Aug 20 2018 shlomif <shlomif> 1.23.0-1.mga7
+ Revision: 1253092
- New version 1.23.0

* Thu Jun 28 2018 shlomif <shlomif> 1.21.0-1.mga7
+ Revision: 1240634
- New version 1.21.0

* Thu May 10 2018 shlomif <shlomif> 1.20.3-1.mga7
+ Revision: 1228146
- New version 1.20.3

* Wed Apr 25 2018 shlomif <shlomif> 1.20.2-1.mga7
+ Revision: 1222392
- New version 1.20.2

* Mon Apr 16 2018 shlomif <shlomif> 1.20.0-1.mga7
+ Revision: 1219390
- New version 1.20.0

* Sat Mar 03 2018 shlomif <shlomif> 1.19.2-1.mga7
+ Revision: 1206387
- New version 1.19.2

* Mon Jan 22 2018 shlomif <shlomif> 1.19.1-1.mga7
+ Revision: 1196275
- New version 1.19.1

* Fri Dec 08 2017 shlomif <shlomif> 1.18.0-1.mga7
+ Revision: 1181707
- New version 1.18.0

* Tue Oct 24 2017 shlomif <shlomif> 1.15.0-1.mga7
+ Revision: 1173316
- New version 1.15.0

* Sun Jul 16 2017 shlomif <shlomif> 1.13.1-1.mga7
+ Revision: 1123866
- New version 1.13.1

* Mon May 16 2016 akien <akien> 1.9.0-4.mga6
+ Revision: 1016175
- Fix conflicts with libuv0
+ daviddavid <daviddavid>
- pass NOCONFIGURE=1 to autogen

* Mon May 16 2016 neoclust <neoclust> 1.9.0-3.mga6
+ Revision: 1015966
- Use major in file list
- Fix provides

* Sun May 15 2016 neoclust <neoclust> 1.9.0-1.mga6
+ Revision: 1015834
- New version

* Sun May 15 2016 neoclust <neoclust> 1.8.0-3.mga6
+ Revision: 1015657
- Add libuv provide

* Fri Feb 26 2016 luigiwalser <luigiwalser> 1.8.0-2.mga6
+ Revision: 979732
- rebuild with configure2_5x and makeinstall_std

* Sat Dec 19 2015 joequant <joequant> 1.8.0-1.mga6
+ Revision: 911871
- upgrade to 1.8.0

* Thu Aug 20 2015 shlomif <shlomif> 1.7.0-1.mga6
+ Revision: 866884
- Fix group
- Non-standard group
- Move the URL to be global - rpmlint
- Cleanups for Mageia
- Importing libuv from Fedora

